gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.RequestedSize

Contents

- Exported types
- Methods
- Properties
  - data
  - minimumSize
  - naturalSize

Description

Represents a request of a screen object in a given orientation. These are primarily used in container implementations when allocating a natural size for children calling. See `distributeNaturalAllocation`.

Synopsis

- newtype RequestedSize = RequestedSize (ManagedPtr RequestedSize)
- newZeroRequestedSize :: MonadIO m => m RequestedSize
- clearRequestedSizeData :: MonadIO m => RequestedSize -> m ()
- getRequestedSizeData :: MonadIO m => RequestedSize -> m (Ptr ())
- setRequestedSizeData :: MonadIO m => RequestedSize -> Ptr () -> m ()
- getRequestedSizeMinimumSize :: MonadIO m => RequestedSize -> m Int32
- setRequestedSizeMinimumSize :: MonadIO m => RequestedSize -> Int32 -> m ()
- getRequestedSizeNaturalSize :: MonadIO m => RequestedSize -> m Int32
- setRequestedSizeNaturalSize :: MonadIO m => RequestedSize -> Int32 -> m ()

# Exported types

newtype RequestedSize Source #

Memory-managed wrapper type.

Constructors

RequestedSize (ManagedPtr RequestedSize) |

#### Instances

Instances details

Eq RequestedSize Source # |
Instance details Defined in GI.Gtk.Structs.RequestedSize Methods (==) :: RequestedSize -> RequestedSize -> Bool Source # (/=) :: RequestedSize -> RequestedSize -> Bool Source #
BoxedPtr RequestedSize Source # |
Instance details Defined in GI.Gtk.Structs.RequestedSize Methods boxedPtrCopy :: RequestedSize -> IO RequestedSize Source # boxedPtrFree :: RequestedSize -> IO () Source #
CallocPtr RequestedSize Source # |
Instance details Defined in GI.Gtk.Structs.RequestedSize Methods boxedPtrCalloc :: IO (Ptr RequestedSize) Source #
ManagedPtrNewtype RequestedSize Source # |
Instance details Defined in GI.Gtk.Structs.RequestedSize Methods toManagedPtr :: RequestedSize -> ManagedPtr RequestedSize Source #
tag ~ 'AttrSet => Constructible RequestedSize tag Source # |
Instance details Defined in GI.Gtk.Structs.RequestedSize Methods new :: MonadIO m => (ManagedPtr RequestedSize -> RequestedSize) -> [AttrOp RequestedSize tag] -> m RequestedSize Source #

newZeroRequestedSize :: MonadIO m => m RequestedSize Source #

Construct a `RequestedSize` struct initialized to zero.

# Methods

# Properties

## data

A client pointer

clearRequestedSizeData :: MonadIO m => RequestedSize -> m () Source #

Set the value of the “`data`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #data

getRequestedSizeData :: MonadIO m => RequestedSize -> m (Ptr ()) Source #

Get the value of the “`data`” field. When overloading is enabled, this is equivalent to

    get requestedSize #data

setRequestedSizeData :: MonadIO m => RequestedSize -> Ptr () -> m () Source #

Set the value of the “`data`” field. When overloading is enabled, this is equivalent to

    set requestedSize [ #data := value ]

## minimumSize

The minimum size needed for allocation in a given orientation

getRequestedSizeMinimumSize :: MonadIO m => RequestedSize -> m Int32 Source #

Get the value of the “`minimum_size`” field. When overloading is enabled, this is equivalent to

    get requestedSize #minimumSize

setRequestedSizeMinimumSize :: MonadIO m => RequestedSize -> Int32 -> m () Source #

Set the value of the “`minimum_size`” field. When overloading is enabled, this is equivalent to

    set requestedSize [ #minimumSize := value ]

## naturalSize

The natural size for allocation in a given orientation

getRequestedSizeNaturalSize :: MonadIO m => RequestedSize -> m Int32 Source #

Get the value of the “`natural_size`” field. When overloading is enabled, this is equivalent to

    get requestedSize #naturalSize

setRequestedSizeNaturalSize :: MonadIO m => RequestedSize -> Int32 -> m () Source #

Set the value of the “`natural_size`” field. When overloading is enabled, this is equivalent to

    set requestedSize [ #naturalSize := value ]